import React, { useState, useEffect } from 'react';
import Select from 'react-select';
import makeAnimated from 'react-select/animated';
import { RiCloseLine } from 'react-icons/ri';

var styles = {"darkBG":"_DEn-v","centered":"_-zPaT","modal":"_1pyOm","modalHeader":"_H7T8l","heading":"_UOLVJ","modalContent":"_1vovQ","leftInput":"_PPOh9","centerInput":"_11hht","radioButtonContainer":"_3pLsX","multiSelect":"_1mrnC","modalActions":"_1U-b5","actionsContainer":"_1lU9c","closeBtn":"_lHXPM","saveBtn":"_hvNpS","cancelBtn":"_HpINt","element":"_2tXlH","row":"_FVLTW","rowChild":"_7xZ07","avatar":"_2kWLb"};

var Modal = function Modal(_ref) {
  var setModal = _ref.setModal,
      setIsOpen = _ref.setIsOpen,
      setEdited = _ref.setEdited,
      editableTitle = _ref.editableTitle,
      editableValue = _ref.editableValue,
      staticData = _ref.staticData;
  var animatedComponents = makeAnimated();

  var _useState = useState(editableValue),
      editedValue = _useState[0],
      setEditedValue = _useState[1];

  var jobFieldDefaultValue;
  if (editableTitle === 'jobFiled') jobFieldDefaultValue = editableValue.map(function (item) {
    return {
      value: item,
      label: item
    };
  }).filter(Boolean);

  var setJobField = function setJobField(e) {
    setEditedValue((e === null || e === void 0 ? void 0 : e.length) === 0 ? jobFieldDefaultValue : e.map(function (item) {
      return item.value;
    }));
  };

  var expertiseEditedValue = [];

  var _useState2 = useState([]),
      gardensValue = _useState2[0],
      setGardensValue = _useState2[1];

  var _useState3 = useState([]),
      farmsValue = _useState3[0],
      setFarmsValue = _useState3[1];

  var _useState4 = useState([]),
      earthenGreenhouseValue = _useState4[0],
      setEarthenGreenhouseValue = _useState4[1];

  var _useState5 = useState([]),
      hydroponicGreenhouseValue = _useState5[0],
      setHydroponicGreenhouseValue = _useState5[1];

  var _useState6 = useState([]),
      livestockAndBirdsValue = _useState6[0],
      setLivestockAndBirdsValue = _useState6[1];

  var _useState7 = useState([]),
      veterinaryValue = _useState7[0],
      setVeterinaryValue = _useState7[1];

  var gardenDefaultValue;
  var farmsDefaultValue;
  var earthenGreenhouseDefaultValue;
  var hydroponicGreenhouseDefaultValue;
  var livestockAndBirdsDefaultValue;
  var veterinaryDefaultValue;

  if (editableTitle === 'expertise') {
    gardenDefaultValue = editableValue.map(function (item) {
      if (item.parentName === 'باغات') {
        return {
          value: item.name,
          label: item.name,
          item: item
        };
      }
    }).filter(Boolean);
    farmsDefaultValue = editableValue.map(function (item) {
      if (item.parentName === 'مزارع') {
        return {
          value: item.name,
          label: item.name,
          item: item
        };
      }
    }).filter(Boolean);
    earthenGreenhouseDefaultValue = editableValue.map(function (item) {
      if (item.parentName === 'گلخانه خاکی') {
        return {
          value: item.name,
          label: item.name,
          item: item
        };
      }
    }).filter(Boolean);
    hydroponicGreenhouseDefaultValue = editableValue.map(function (item) {
      if (item.parentName === 'گلخانه هیدروپونیک') {
        return {
          value: item.name,
          label: item.name,
          item: item
        };
      }
    }).filter(Boolean);
    livestockAndBirdsDefaultValue = editableValue.map(function (item) {
      if (item.parentName === 'دام و طیور') {
        return {
          value: item.name,
          label: item.name,
          item: item
        };
      }
    }).filter(Boolean);
    veterinaryDefaultValue = editableValue.map(function (item) {
      if (item.parentName === 'دامپزشکی') {
        return {
          value: item.name,
          label: item.name,
          item: item
        };
      }
    }).filter(Boolean);
  }

  var setGardens = function setGardens(e) {
    var items = e.map(function (e) {
      return e.item;
    });
    setGardensValue(items);
  };

  var setFarms = function setFarms(e) {
    var items = e.map(function (e) {
      return e.item;
    });
    setFarmsValue(items);
  };

  var setEarthenGreenhouse = function setEarthenGreenhouse(e) {
    var items = e.map(function (e) {
      return e.item;
    });
    setEarthenGreenhouseValue(items);
  };

  var setHydroponicGreenhouse = function setHydroponicGreenhouse(e) {
    var items = e.map(function (e) {
      return e.item;
    });
    setHydroponicGreenhouseValue(items);
  };

  var setLivestockAndBirds = function setLivestockAndBirds(e) {
    var items = e.map(function (e) {
      return e.item;
    });
    setLivestockAndBirdsValue(items);
  };

  var setVeterinary = function setVeterinary(e) {
    var items = e.map(function (e) {
      return e.item;
    });
    setVeterinaryValue(items);
  };

  var createExpertise = function createExpertise(fieldName) {
    (fieldName === null || fieldName === void 0 ? void 0 : fieldName.length) > 0 && (fieldName === null || fieldName === void 0 ? void 0 : fieldName.map(function (item) {
      expertiseEditedValue === null || expertiseEditedValue === void 0 ? void 0 : expertiseEditedValue.push({
        parentName: item === null || item === void 0 ? void 0 : item.parentName,
        id: item === null || item === void 0 ? void 0 : item.id,
        name: item === null || item === void 0 ? void 0 : item.name
      });
    }));
  };

  var professionsEditedValue = [];

  var _useState8 = useState([]),
      agricultureAndGardenValue = _useState8[0],
      setAgricultureAndGardenValue = _useState8[1];

  var _useState9 = useState([]),
      greenhouseValue = _useState9[0],
      setgreenhouseValue = _useState9[1];

  var _useState10 = useState([]),
      livestockAndBirdsProfessionsValue = _useState10[0],
      setLivestockAndBirdsProfessionsValue = _useState10[1];

  var _useState11 = useState([]),
      veterinaryProfessionsValue = _useState11[0],
      setVeterinaryProfessionsValue = _useState11[1];

  var agricultureAndGardenDefaultValue;
  var greenhouseDefaultValue;
  var livestockAndBirdsProfessionsDefaultValue;
  var veterinaryProfessionsDefaultValue;

  if (editableTitle === 'profession') {
    agricultureAndGardenDefaultValue = editableValue.map(function (item) {
      if (item.parentName === 'زراعت و باغ') {
        return {
          value: item.name,
          label: item.name,
          item: item
        };
      }
    }).filter(Boolean);
    greenhouseDefaultValue = editableValue.map(function (item) {
      if (item.parentName === 'گلخانه') {
        return {
          value: item.name,
          label: item.name,
          item: item
        };
      }
    }).filter(Boolean);
    livestockAndBirdsProfessionsDefaultValue = editableValue.map(function (item) {
      if (item.parentName === 'حرفه های دام و طیور') {
        return {
          value: item.name,
          label: item.name,
          item: item
        };
      }
    }).filter(Boolean);
    veterinaryProfessionsDefaultValue = editableValue.map(function (item) {
      if (item.parentName === 'دامپزشکی') {
        return {
          value: item.name,
          label: item.name,
          item: item
        };
      }
    }).filter(Boolean);
  }

  var setAgricultureAndGarden = function setAgricultureAndGarden(e) {
    var items = e.map(function (e) {
      return e.item;
    });
    setAgricultureAndGardenValue(items);
  };

  var setGreenhouse = function setGreenhouse(e) {
    var items = e.map(function (e) {
      return e.item;
    });
    setgreenhouseValue(items);
  };

  var setLivestockAndBirdsProfessions = function setLivestockAndBirdsProfessions(e) {
    var items = e.map(function (e) {
      return e.item;
    });
    setLivestockAndBirdsProfessionsValue(items);
  };

  var setVeterinaryProfessions = function setVeterinaryProfessions(e) {
    var items = e.map(function (e) {
      return e.item;
    });
    setVeterinaryProfessionsValue(items);
  };

  var createProfessions = function createProfessions(fieldName) {
    (fieldName === null || fieldName === void 0 ? void 0 : fieldName.length) > 0 && (fieldName === null || fieldName === void 0 ? void 0 : fieldName.map(function (item) {
      professionsEditedValue === null || professionsEditedValue === void 0 ? void 0 : professionsEditedValue.push({
        parentName: item === null || item === void 0 ? void 0 : item.parentName,
        id: item === null || item === void 0 ? void 0 : item.id,
        name: item === null || item === void 0 ? void 0 : item.name
      });
    }));
  };

  var consultingFieldDefaultValue;
  if (editableTitle === 'consultingField') consultingFieldDefaultValue = editableValue.map(function (item) {
    return {
      value: item,
      label: item
    };
  }).filter(Boolean);

  var setConsultingField = function setConsultingField(e) {
    console.log("e", e);
    setEditedValue((e === null || e === void 0 ? void 0 : e.length) === 0 ? consultingFieldDefaultValue : e.map(function (item) {
      return item.value;
    }));
  };

  var onChangeHandler = function onChangeHandler(e) {
    setEditedValue(e.target.value);
  };

  var trueFalseOnChangeHandler = function trueFalseOnChangeHandler(e) {
    setEditedValue(e);
  };

  var setCommunicationWays = function setCommunicationWays(e) {
    var element = editedValue.find(function (x) {
      return x.title === e.target.name;
    });

    if (element) {
      editedValue.splice(editedValue.indexOf(element), 1);

      if (e.target.type === "radio") {
        element.publicationStatus = e.target.value;
      } else {
        element.value = e.target.value;
      }

      setEditedValue([].concat(editedValue, [element]));
    } else {
      var _element = staticData.communicationWays.find(function (x) {
        return x.englishName === e.target.name;
      });

      console.log("element: ", _element);
      var newElement = {
        title: _element.englishName,
        value: e.target.value,
        logoUrl: _element.iconUrl,
        publicationStatus: true
      };
      setEditedValue([].concat(editedValue, [newElement]));
    }
  };

  function returnRelatedComponent() {
    switch (typeof editableValue) {
      case 'string':
        if (editableTitle === 'expectedPage') {
          return /*#__PURE__*/React.createElement("div", {
            className: styles.radioButtonContainer
          }, /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("input", {
            type: "radio",
            value: "\u062E\u0628\u0631\u0647",
            name: "expectedPage",
            defaultChecked: editedValue === "خبره",
            onChange: onChangeHandler
          }), "\u062E\u0628\u0631\u0647"), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("input", {
            type: "radio",
            value: "\u0645\u062A\u062E\u0635\u0635",
            name: "expectedPage",
            defaultChecked: editedValue === "متخصص",
            onChange: onChangeHandler
          }), "\u0645\u062A\u062E\u0635\u0635"));
        } else if (editableTitle === 'degree') {
          return /*#__PURE__*/React.createElement("select", {
            value: editedValue,
            onChange: onChangeHandler
          }, /*#__PURE__*/React.createElement("option", {
            value: true,
            disabled: true
          }, "\u0627\u0646\u062A\u062E\u0627\u0628 \u06A9\u0646\u06CC\u062F"), /*#__PURE__*/React.createElement("option", {
            value: "\u062F\u06A9\u062A\u0631\u06CC"
          }, "\u062F\u06A9\u062A\u0631\u06CC"), /*#__PURE__*/React.createElement("option", {
            value: "\u06A9\u0627\u0631\u0634\u0646\u0627\u0633\u06CC \u0627\u0631\u0634\u062F"
          }, "\u06A9\u0627\u0631\u0634\u0646\u0627\u0633\u06CC \u0627\u0631\u0634\u062F"), /*#__PURE__*/React.createElement("option", {
            value: "\u06A9\u0627\u0631\u0634\u0646\u0627\u0633\u06CC"
          }, "\u06A9\u0627\u0631\u0634\u0646\u0627\u0633\u06CC"), /*#__PURE__*/React.createElement("option", {
            value: "\u062F\u0627\u0646\u0634\u062C\u0648\u06CC \u062F\u06A9\u062A\u0631\u06CC"
          }, "\u062F\u0627\u0646\u0634\u062C\u0648\u06CC \u062F\u06A9\u062A\u0631\u06CC"), /*#__PURE__*/React.createElement("option", {
            value: "\u062F\u0627\u0646\u0634\u062C\u0648\u06CC \u06A9\u0627\u0631\u0634\u0646\u0627\u0633\u06CC \u0627\u0631\u0634\u062F"
          }, "\u062F\u0627\u0646\u0634\u062C\u0648\u06CC \u06A9\u0627\u0631\u0634\u0646\u0627\u0633\u06CC \u0627\u0631\u0634\u062F"), /*#__PURE__*/React.createElement("option", {
            value: "\u062F\u0627\u0646\u0634\u062C\u0648\u06CC \u06A9\u0627\u0631\u0634\u0646\u0627\u0633\u06CC"
          }, "\u062F\u0627\u0646\u0634\u062C\u0648\u06CC \u06A9\u0627\u0631\u0634\u0646\u0627\u0633\u06CC"), /*#__PURE__*/React.createElement("option", {
            value: "\u0641\u0627\u0642\u062F \u062A\u062D\u0635\u06CC\u0644\u0627\u062A \u062F\u0627\u0646\u0634\u06AF\u0627\u0647\u06CC"
          }, "\u0641\u0627\u0642\u062F \u062A\u062D\u0635\u06CC\u0644\u0627\u062A \u062F\u0627\u0646\u0634\u06AF\u0627\u0647\u06CC"));
        } else if (editableTitle === 'workOrganizationType') {
          return /*#__PURE__*/React.createElement("select", {
            value: editedValue,
            onChange: onChangeHandler
          }, /*#__PURE__*/React.createElement("option", {
            value: true,
            disabled: true
          }, "\u0627\u0646\u062A\u062E\u0627\u0628 \u06A9\u0646\u06CC\u062F"), /*#__PURE__*/React.createElement("option", {
            value: "\u062C\u0647\u0627\u062F \u06A9\u0634\u0627\u0648\u0631\u0632\u06CC"
          }, "\u062C\u0647\u0627\u062F \u06A9\u0634\u0627\u0648\u0631\u0632\u06CC"), /*#__PURE__*/React.createElement("option", {
            value: "\u062F\u0627\u0646\u0634\u06AF\u0627\u0647"
          }, "\u062F\u0627\u0646\u0634\u06AF\u0627\u0647"), /*#__PURE__*/React.createElement("option", {
            value: "\u0645\u0631\u06A9\u0632 \u062A\u062D\u0642\u06CC\u0642\u0627\u062A \u06A9\u0634\u0627\u0648\u0631\u0632\u06CC"
          }, "\u0645\u0631\u06A9\u0632  \u062A\u062D\u0642\u06CC\u0642\u0627\u062A \u06A9\u0634\u0627\u0648\u0631\u0632\u06CC"), /*#__PURE__*/React.createElement("option", {
            value: "\u0633\u0627\u06CC\u0631 \u0627\u0631\u06AF\u0627\u0646 \u0647\u0627\u06CC \u062F\u0648\u0644\u062A\u06CC"
          }, "\u0633\u0627\u06CC\u0631 \u0627\u0631\u06AF\u0627\u0646 \u0647\u0627\u06CC \u062F\u0648\u0644\u062A\u06CC"), /*#__PURE__*/React.createElement("option", {
            value: "\u0634\u0631\u06A9\u062A \u062E\u0635\u0648\u0635\u06CC"
          }, "\u0634\u0631\u06A9\u062A \u062E\u0635\u0648\u0635\u06CC"), /*#__PURE__*/React.createElement("option", {
            value: "\u0634\u063A\u0644 \u0622\u0632\u0627\u062F"
          }, "\u0634\u063A\u0644 \u0622\u0632\u0627\u062F"), /*#__PURE__*/React.createElement("option", {
            value: "\u0633\u0627\u06CC\u0631"
          }, "\u0633\u0627\u06CC\u0631"));
        } else if (editableTitle === 'major') {
          return /*#__PURE__*/React.createElement("select", {
            value: editedValue,
            onChange: onChangeHandler
          }, /*#__PURE__*/React.createElement("option", {
            value: true,
            disabled: true
          }, "\u0627\u0646\u062A\u062E\u0627\u0628 \u06A9\u0646\u06CC\u062F"), staticData.majors.map(function (major) {
            return /*#__PURE__*/React.createElement("option", {
              value: major
            }, major);
          }));
        } else if (editableTitle === 'avatarUrl') {
          return /*#__PURE__*/React.createElement("img", {
            className: styles.avatar,
            src: editableValue
          });
        } else {
          return /*#__PURE__*/React.createElement("input", {
            className: styles.centerInput,
            type: "text",
            defaultValue: editableValue,
            onChange: onChangeHandler
          });
        }

      case 'number':
        return /*#__PURE__*/React.createElement("input", {
          className: styles.centerInput,
          type: "number",
          defaultValue: editableValue,
          onChange: onChangeHandler
        });

      case 'boolean':
        if (editableTitle === 'farmingStatus') {
          return /*#__PURE__*/React.createElement("div", {
            className: styles.radioButtonContainer
          }, /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("input", {
            type: "radio",
            value: "true",
            name: "farmingStatus",
            defaultChecked: editedValue,
            onChange: function onChange(e) {
              return trueFalseOnChangeHandler(Boolean(e.target.value));
            }
          }), "\u0628\u0644\u0647"), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("input", {
            type: "radio",
            value: "",
            name: "farmingStatus",
            defaultChecked: !editedValue,
            onChange: function onChange(e) {
              return trueFalseOnChangeHandler(Boolean(e.target.value));
            }
          }), "\u062E\u06CC\u0631"));
        } else if (editableTitle == 'doesCollaborate') {
          return /*#__PURE__*/React.createElement("div", {
            className: styles.radioButtonContainer
          }, /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("input", {
            type: "radio",
            value: "true",
            name: "doesCollaborate",
            defaultChecked: editedValue,
            onChange: function onChange(e) {
              return trueFalseOnChangeHandler(Boolean(e.target.value));
            }
          }), "\u0628\u0644\u0647"), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("input", {
            type: "radio",
            value: "",
            name: "doesCollaborate",
            defaultChecked: !editedValue,
            onChange: function onChange(e) {
              return trueFalseOnChangeHandler(Boolean(e.target.value));
            }
          }), "\u062E\u06CC\u0631"));
        } else if (editableTitle === 'hasVehicle') {
          return /*#__PURE__*/React.createElement("div", {
            className: styles.radioButtonContainer
          }, /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("input", {
            type: "radio",
            value: "true",
            name: "hasVehicle",
            defaultChecked: editedValue,
            onChange: function onChange(e) {
              return trueFalseOnChangeHandler(Boolean(e.target.value));
            }
          }), "\u0628\u0644\u0647"), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("input", {
            type: "radio",
            value: "",
            name: "hasVehicle",
            defaultChecked: !editedValue,
            onChange: function onChange(e) {
              return trueFalseOnChangeHandler(Boolean(e.target.value));
            }
          }), "\u062E\u06CC\u0631"));
        } else if (editableTitle === 'isMemberOfAgriculturalOrganization') {
          return /*#__PURE__*/React.createElement("div", {
            className: styles.radioButtonContainer
          }, /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("input", {
            type: "radio",
            value: "true",
            name: "isMemberOfAgriculturalOrganization",
            defaultChecked: editedValue,
            onChange: function onChange(e) {
              return trueFalseOnChangeHandler(Boolean(e.target.value));
            }
          }), "\u0628\u0644\u0647"), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("input", {
            type: "radio",
            value: "",
            name: "isMemberOfAgriculturalOrganization",
            defaultChecked: !editedValue,
            onChange: function onChange(e) {
              return trueFalseOnChangeHandler(Boolean(e.target.value));
            }
          }), "\u062E\u06CC\u0631"));
        }

      case 'object':
        if (editableTitle === 'communicationWays') {
          var _editableValue$find, _editableValue$find2, _editableValue$find3, _editableValue$find4, _editableValue$find5, _editableValue$find6, _editableValue$find7, _editableValue$find8, _editableValue$find9, _editableValue$find10;

          return /*#__PURE__*/React.createElement("form", null, /*#__PURE__*/React.createElement("div", {
            className: styles.element
          }, /*#__PURE__*/React.createElement("div", {
            className: styles.row
          }, /*#__PURE__*/React.createElement("div", {
            className: styles.rowChild
          }, /*#__PURE__*/React.createElement("label", null, "\u0634\u0645\u0627\u0631\u0647 \u062A\u0645\u0627\u0633 \u06A9\u0627\u0631\u06CC"), /*#__PURE__*/React.createElement("input", {
            className: styles.leftInput,
            type: "tel",
            name: "officialPhoneNumber",
            defaultValue: (_editableValue$find = editableValue.find(function (x) {
              return x.title === "officialPhoneNumber";
            })) === null || _editableValue$find === void 0 ? void 0 : _editableValue$find.value,
            onChange: setCommunicationWays
          })), /*#__PURE__*/React.createElement("div", {
            className: styles.row
          }, /*#__PURE__*/React.createElement("label", null, " \u0634\u0645\u0627\u0631\u0647 \u0645\u0646\u062A\u0634\u0631 \u0634\u0648\u062F\u061F"), /*#__PURE__*/React.createElement("div", {
            className: styles.row
          }, /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("input", {
            className: styles.leftInput,
            type: "radio",
            value: "true",
            name: "officialPhoneNumber",
            defaultChecked: (_editableValue$find2 = editableValue.find(function (x) {
              return x.title === "officialPhoneNumber";
            })) === null || _editableValue$find2 === void 0 ? void 0 : _editableValue$find2.publicationStatus,
            onChange: setCommunicationWays
          }), " \u0628\u0644\u0647"), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("input", {
            className: styles.leftInput,
            type: "radio",
            value: "false",
            name: "officialPhoneNumber",
            defaultChecked: !((_editableValue$find3 = editableValue.find(function (x) {
              return x.title === "officialPhoneNumber";
            })) !== null && _editableValue$find3 !== void 0 && _editableValue$find3.publicationStatus),
            onChange: setCommunicationWays
          }), "\u062E\u06CC\u0631")))), /*#__PURE__*/React.createElement("div", {
            className: styles.row
          }, /*#__PURE__*/React.createElement("div", {
            className: styles.rowChild
          }, /*#__PURE__*/React.createElement("label", null, "\u062A\u0644\u0641\u0646 \u062B\u0627\u0628\u062A"), /*#__PURE__*/React.createElement("input", {
            className: styles.leftInput,
            type: "tel",
            name: "landingNumber",
            defaultValue: (_editableValue$find4 = editableValue.find(function (x) {
              return x.title === "landingNumber";
            })) === null || _editableValue$find4 === void 0 ? void 0 : _editableValue$find4.value,
            onChange: setCommunicationWays
          })), /*#__PURE__*/React.createElement("div", {
            className: styles.rowChild
          }, /*#__PURE__*/React.createElement("label", null, "\u0622\u06CC \u062F\u06CC \u062A\u0627\u06A9"), /*#__PURE__*/React.createElement("input", {
            className: styles.leftInput,
            type: "text",
            name: "Tak",
            defaultValue: (_editableValue$find5 = editableValue.find(function (x) {
              return x.title === "Tak";
            })) === null || _editableValue$find5 === void 0 ? void 0 : _editableValue$find5.value,
            onChange: setCommunicationWays
          }))), /*#__PURE__*/React.createElement("div", {
            className: styles.row
          }, /*#__PURE__*/React.createElement("div", {
            className: styles.rowChild
          }, /*#__PURE__*/React.createElement("label", null, "\u0634\u0645\u0627\u0631\u0647  \u0648\u0627\u062A\u0633\u0627\u067E (\u06A9\u0627\u0631\u06CC)"), /*#__PURE__*/React.createElement("input", {
            className: styles.leftInput,
            type: "tel",
            name: "Whatsapp",
            defaultValue: (_editableValue$find6 = editableValue.find(function (x) {
              return x.title === "Whatsapp";
            })) === null || _editableValue$find6 === void 0 ? void 0 : _editableValue$find6.value,
            onChange: setCommunicationWays
          })), /*#__PURE__*/React.createElement("div", {
            className: styles.rowChild
          }, /*#__PURE__*/React.createElement("label", null, "\u0622\u06CC \u062F\u06CC \u0627\u06CC\u0646\u0633\u062A\u0627\u06AF\u0631\u0627\u0645 (\u06A9\u0627\u0631\u06CC)"), /*#__PURE__*/React.createElement("input", {
            className: styles.leftInput,
            type: "text",
            name: "instagram",
            defaultValue: (_editableValue$find7 = editableValue.find(function (x) {
              return x.title === "instagram";
            })) === null || _editableValue$find7 === void 0 ? void 0 : _editableValue$find7.value,
            onChange: setCommunicationWays
          }))), /*#__PURE__*/React.createElement("div", {
            className: styles.row
          }, /*#__PURE__*/React.createElement("div", {
            className: styles.rowChild
          }, /*#__PURE__*/React.createElement("label", null, "\u0622\u06CC \u062F\u06CC \u062A\u0644\u06AF\u0631\u0627\u0645 (\u06A9\u0627\u0631\u06CC)"), /*#__PURE__*/React.createElement("input", {
            className: styles.leftInput,
            type: "text",
            name: "Telegram",
            defaultValue: (_editableValue$find8 = editableValue.find(function (x) {
              return x.title === "Telegram";
            })) === null || _editableValue$find8 === void 0 ? void 0 : _editableValue$find8.value,
            onChange: setCommunicationWays
          })), /*#__PURE__*/React.createElement("div", {
            className: styles.rowChild
          }, /*#__PURE__*/React.createElement("label", null, "\u0644\u06CC\u0646\u06A9 \u0644\u06CC\u0646\u06A9\u062F\u06CC\u0646"), /*#__PURE__*/React.createElement("input", {
            className: styles.leftInput,
            type: "text",
            name: "Linkedin",
            defaultValue: (_editableValue$find9 = editableValue.find(function (x) {
              return x.title === "Linkedin";
            })) === null || _editableValue$find9 === void 0 ? void 0 : _editableValue$find9.value,
            onChange: setCommunicationWays
          }))), /*#__PURE__*/React.createElement("div", {
            className: styles.row
          }, /*#__PURE__*/React.createElement("div", {
            className: styles.rowChild
          }, /*#__PURE__*/React.createElement("label", null, "\u0646\u0634\u0627\u0646\u06CC \u067E\u0633\u062A \u0627\u0644\u06A9\u062A\u0631\u0648\u0646\u06CC\u06A9\u06CC"), /*#__PURE__*/React.createElement("input", {
            className: styles.leftInput,
            type: "text",
            name: "email",
            value: "email",
            defaultValue: (_editableValue$find10 = editableValue.find(function (x) {
              return x.title === "email";
            })) === null || _editableValue$find10 === void 0 ? void 0 : _editableValue$find10.value,
            onChange: setCommunicationWays
          })))));
        } else if (editableTitle === 'jobFiled') {
          var _staticData$jobFiled;

          var jobFiledOptions = (_staticData$jobFiled = staticData.jobFiled) === null || _staticData$jobFiled === void 0 ? void 0 : _staticData$jobFiled.map(function (item) {
            return {
              value: item,
              label: item
            };
          });
          return /*#__PURE__*/React.createElement(Select, {
            className: styles.multiSelect,
            name: "jobFiled",
            closeMenuOnSelect: true,
            components: animatedComponents,
            isMulti: true,
            options: jobFiledOptions,
            isSearchable: true,
            defaultValue: jobFieldDefaultValue,
            onChange: setJobField
          });
        } else if (editableTitle === 'expertise') {
          var _staticData$gardens, _staticData$farms, _staticData$earthenGr, _staticData$hydroponi, _staticData$livestock, _staticData$veterinar;

          useEffect(function () {
            setGardens(gardenDefaultValue);
            setFarms(farmsDefaultValue);
            setEarthenGreenhouse(earthenGreenhouseDefaultValue);
            setHydroponicGreenhouse(hydroponicGreenhouseDefaultValue);
            setLivestockAndBirds(livestockAndBirdsDefaultValue);
            setVeterinary(veterinaryDefaultValue);
          }, []);
          var gardensOptions = (_staticData$gardens = staticData.gardens) === null || _staticData$gardens === void 0 ? void 0 : _staticData$gardens.map(function (item) {
            return {
              value: item.name,
              label: item.name,
              item: item
            };
          });
          var farmsOptions = (_staticData$farms = staticData.farms) === null || _staticData$farms === void 0 ? void 0 : _staticData$farms.map(function (item) {
            return {
              value: item.name,
              label: item.name,
              item: item
            };
          });
          var earthenGreenhouseOptions = (_staticData$earthenGr = staticData.earthenGreenhouse) === null || _staticData$earthenGr === void 0 ? void 0 : _staticData$earthenGr.map(function (item) {
            return {
              value: item.name,
              label: item.name,
              item: item
            };
          });
          var hydroponicGreenhouseOptions = (_staticData$hydroponi = staticData.hydroponicGreenhouse) === null || _staticData$hydroponi === void 0 ? void 0 : _staticData$hydroponi.map(function (item) {
            return {
              value: item.name,
              label: item.name,
              item: item
            };
          });
          var livestockAndBirdsOptions = (_staticData$livestock = staticData.livestockAndBirds) === null || _staticData$livestock === void 0 ? void 0 : _staticData$livestock.map(function (item) {
            return {
              value: item.name,
              label: item.name,
              item: item
            };
          });
          var veterinaryOptions = (_staticData$veterinar = staticData.veterinary) === null || _staticData$veterinar === void 0 ? void 0 : _staticData$veterinar.map(function (item) {
            return {
              value: item.name,
              label: item.name,
              item: item
            };
          });
          return /*#__PURE__*/React.createElement("div", {
            className: styles.element
          }, /*#__PURE__*/React.createElement("div", {
            className: styles.row
          }, /*#__PURE__*/React.createElement("div", {
            className: styles.element
          }, /*#__PURE__*/React.createElement("label", null, "\u0628\u0627\u063A\u0627\u062A"), /*#__PURE__*/React.createElement(Select, {
            className: styles.multiSelect,
            name: "gardens",
            closeMenuOnSelect: true,
            components: animatedComponents,
            isMulti: true,
            options: gardensOptions,
            isSearchable: true,
            defaultValue: gardenDefaultValue,
            onChange: setGardens
          })), /*#__PURE__*/React.createElement("div", {
            className: styles.element
          }, /*#__PURE__*/React.createElement("label", null, "\u0645\u0632\u0627\u0631\u0639"), /*#__PURE__*/React.createElement(Select, {
            className: styles.multiSelect,
            name: "farms",
            closeMenuOnSelect: true,
            components: animatedComponents,
            isMulti: true,
            options: farmsOptions,
            isSearchable: true,
            defaultValue: farmsDefaultValue,
            onChange: setFarms
          }))), /*#__PURE__*/React.createElement("div", {
            className: styles.row
          }, /*#__PURE__*/React.createElement("div", {
            className: styles.element
          }, /*#__PURE__*/React.createElement("label", null, "\u06AF\u0644\u062E\u0627\u0646\u0647 \u062E\u0627\u06A9\u06CC"), /*#__PURE__*/React.createElement(Select, {
            className: styles.multiSelect,
            name: "earthenGreenhouse",
            closeMenuOnSelect: true,
            components: animatedComponents,
            isMulti: true,
            options: earthenGreenhouseOptions,
            isSearchable: true,
            defaultValue: earthenGreenhouseDefaultValue,
            onChange: setEarthenGreenhouse
          })), /*#__PURE__*/React.createElement("div", {
            className: styles.element
          }, /*#__PURE__*/React.createElement("label", null, "\u06AF\u0644\u062E\u0627\u0646\u0647 \u0647\u06CC\u062F\u0631\u0648\u067E\u0648\u0646\u06CC\u06A9"), /*#__PURE__*/React.createElement(Select, {
            className: styles.multiSelect,
            name: "hydroponicGreenhouse",
            closeMenuOnSelect: true,
            components: animatedComponents,
            isMulti: true,
            options: hydroponicGreenhouseOptions,
            isSearchable: true,
            defaultValue: hydroponicGreenhouseDefaultValue,
            onChange: setHydroponicGreenhouse
          }))), /*#__PURE__*/React.createElement("div", {
            className: styles.row
          }, /*#__PURE__*/React.createElement("div", {
            className: styles.element
          }, /*#__PURE__*/React.createElement("label", null, "\u062F\u0627\u0645 \u0648 \u0637\u06CC\u0648\u0631"), /*#__PURE__*/React.createElement(Select, {
            className: styles.multiSelect,
            name: "livestockAndBirds",
            closeMenuOnSelect: true,
            components: animatedComponents,
            isMulti: true,
            options: livestockAndBirdsOptions,
            isSearchable: true,
            defaultValue: livestockAndBirdsDefaultValue,
            onChange: setLivestockAndBirds
          })), /*#__PURE__*/React.createElement("div", {
            className: styles.element
          }, /*#__PURE__*/React.createElement("label", null, "\u062F\u0627\u0645\u067E\u0632\u0634\u06A9\u06CC"), /*#__PURE__*/React.createElement(Select, {
            className: styles.multiSelect,
            name: "veterinary",
            closeMenuOnSelect: true,
            components: animatedComponents,
            isMulti: true,
            options: veterinaryOptions,
            isSearchable: true,
            defaultValue: veterinaryDefaultValue,
            onChange: setVeterinary
          }))));
        } else if (editableTitle === 'profession') {
          var _staticData$agricultu, _staticData$greenhous, _staticData$livestock2, _staticData$veterinar2;

          useEffect(function () {
            setAgricultureAndGarden(agricultureAndGardenDefaultValue);
            setGreenhouse(greenhouseDefaultValue);
            setLivestockAndBirdsProfessions(livestockAndBirdsProfessionsDefaultValue);
            setVeterinaryProfessions(veterinaryProfessionsDefaultValue);
          }, []);
          var agricultureAndGardenOptions = (_staticData$agricultu = staticData.agricultureAndGarden) === null || _staticData$agricultu === void 0 ? void 0 : _staticData$agricultu.map(function (item) {
            return {
              value: item.name,
              label: item.name,
              item: item
            };
          });
          var greenhouseOptions = (_staticData$greenhous = staticData.greenhouse) === null || _staticData$greenhous === void 0 ? void 0 : _staticData$greenhous.map(function (item) {
            return {
              value: item.name,
              label: item.name,
              item: item
            };
          });

          var _livestockAndBirdsOptions = (_staticData$livestock2 = staticData.livestockAndBirdsProfessions) === null || _staticData$livestock2 === void 0 ? void 0 : _staticData$livestock2.map(function (item) {
            return {
              value: item.name,
              label: item.name,
              item: item
            };
          });

          var veterinaryProfessionsOptions = (_staticData$veterinar2 = staticData.veterinaryOptions) === null || _staticData$veterinar2 === void 0 ? void 0 : _staticData$veterinar2.map(function (item) {
            return {
              value: item.name,
              label: item.name,
              item: item
            };
          });
          return /*#__PURE__*/React.createElement("div", {
            className: styles.element
          }, /*#__PURE__*/React.createElement("div", {
            className: styles.row
          }, /*#__PURE__*/React.createElement("div", {
            className: styles.element
          }, /*#__PURE__*/React.createElement("label", null, "\u0632\u0631\u0627\u0639\u062A \u0648 \u0628\u0627\u063A"), /*#__PURE__*/React.createElement(Select, {
            className: styles.multiSelect,
            name: "agricultureAndGarden",
            closeMenuOnSelect: true,
            components: animatedComponents,
            isMulti: true,
            options: agricultureAndGardenOptions,
            isSearchable: true,
            defaultValue: agricultureAndGardenDefaultValue,
            onChange: setAgricultureAndGarden
          })), /*#__PURE__*/React.createElement("div", {
            className: styles.element
          }, /*#__PURE__*/React.createElement("label", null, "\u06AF\u0644\u062E\u0627\u0646\u0647"), /*#__PURE__*/React.createElement(Select, {
            className: styles.multiSelect,
            name: "greenhouse",
            closeMenuOnSelect: true,
            components: animatedComponents,
            isMulti: true,
            options: greenhouseOptions,
            isSearchable: true,
            defaultValue: greenhouseDefaultValue,
            onChange: setGreenhouse
          }))), /*#__PURE__*/React.createElement("div", {
            className: styles.row
          }, /*#__PURE__*/React.createElement("div", {
            className: styles.element
          }, /*#__PURE__*/React.createElement("label", null, "\u062F\u0627\u0645 \u0648 \u0637\u06CC\u0648\u0631"), /*#__PURE__*/React.createElement(Select, {
            className: styles.multiSelect,
            name: "livestockAndBirdsProfessions",
            closeMenuOnSelect: true,
            components: animatedComponents,
            isMulti: true,
            options: _livestockAndBirdsOptions,
            isSearchable: true,
            defaultValue: livestockAndBirdsProfessionsDefaultValue,
            onChange: setLivestockAndBirdsProfessions
          })), /*#__PURE__*/React.createElement("div", {
            className: styles.element
          }, /*#__PURE__*/React.createElement("label", null, "\u062F\u0627\u0645\u067E\u0632\u0634\u06A9\u06CC"), /*#__PURE__*/React.createElement(Select, {
            className: styles.multiSelect,
            name: "veterinaryProfessions",
            closeMenuOnSelect: true,
            components: animatedComponents,
            isMulti: true,
            options: veterinaryProfessionsOptions,
            isSearchable: true,
            defaultValue: veterinaryProfessionsDefaultValue,
            onChange: setVeterinaryProfessions
          }))));
        } else {
          var _staticData$consultin;

          var consultingFieldOptions = (_staticData$consultin = staticData.consultingField) === null || _staticData$consultin === void 0 ? void 0 : _staticData$consultin.map(function (item) {
            return {
              value: item,
              label: item
            };
          });
          return /*#__PURE__*/React.createElement(Select, {
            className: styles.multiSelect,
            name: "consultingField",
            closeMenuOnSelect: true,
            components: animatedComponents,
            isMulti: true,
            options: consultingFieldOptions,
            isSearchable: true,
            defaultValue: consultingFieldDefaultValue,
            onChange: setConsultingField
          });
        }
    }
  }

  var setExpertise = function setExpertise() {
    var _setEdited;

    createExpertise(gardensValue);
    createExpertise(farmsValue);
    createExpertise(earthenGreenhouseValue);
    createExpertise(hydroponicGreenhouseValue);
    createExpertise(livestockAndBirdsValue);
    createExpertise(veterinaryValue);
    setEdited((_setEdited = {}, _setEdited[editableTitle] = expertiseEditedValue, _setEdited));
  };

  var setProfessions = function setProfessions() {
    var _setEdited2;

    createProfessions(agricultureAndGardenValue);
    createProfessions(greenhouseValue);
    createProfessions(livestockAndBirdsProfessionsValue);
    createProfessions(veterinaryProfessionsValue);
    setEdited((_setEdited2 = {}, _setEdited2[editableTitle] = professionsEditedValue, _setEdited2));
  };

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
    className: styles.darkBG,
    onClick: function onClick() {
      setModal(null);
      setIsOpen(false);
    }
  }), /*#__PURE__*/React.createElement("div", {
    className: styles.centered
  }, /*#__PURE__*/React.createElement("div", {
    className: styles.modal
  }, /*#__PURE__*/React.createElement("div", {
    className: styles.modalHeader
  }, /*#__PURE__*/React.createElement("h5", {
    className: styles.heading
  }, editableTitle, " \u0648\u06CC\u0631\u0627\u06CC\u0634")), /*#__PURE__*/React.createElement("button", {
    className: styles.closeBtn,
    onClick: function onClick() {
      setModal(null);
      setIsOpen(false);
    }
  }, /*#__PURE__*/React.createElement(RiCloseLine, {
    style: {
      marginBottom: "-3px"
    }
  })), /*#__PURE__*/React.createElement("div", {
    className: styles.modalContent
  }, /*#__PURE__*/React.createElement("label", null, "\u0644\u0637\u0641\u0627 \u0645\u0642\u062F\u0627\u0631 \u062C\u062F\u06CC\u062F \u0631\u0627 \u0648\u0627\u0631\u062F \u06A9\u0646\u06CC\u062F"), returnRelatedComponent()), /*#__PURE__*/React.createElement("div", {
    className: styles.modalActions
  }, /*#__PURE__*/React.createElement("div", {
    className: styles.actionsContainer
  }, /*#__PURE__*/React.createElement("button", {
    className: styles.saveBtn,
    onClick: function onClick() {
      if (editableTitle === 'expertise') {
        setExpertise();
      } else if (editableTitle === 'profession') {
        setProfessions();
      } else {
        var _setEdited3;

        setEdited((_setEdited3 = {}, _setEdited3[editableTitle] = editedValue, _setEdited3));
      }

      setModal(null);
      setIsOpen(false);
    }
  }, "\u0630\u062E\u06CC\u0631\u0647"), /*#__PURE__*/React.createElement("button", {
    className: styles.cancelBtn,
    onClick: function onClick() {
      setModal(null);
      setIsOpen(false);
    }
  }, "\u0644\u063A\u0648"))))));
};

var EditorContainer = function EditorContainer(_ref) {
  var toEdit = _ref.toEdit,
      setEdited = _ref.setEdited,
      setModal = _ref.setModal,
      staticData = _ref.staticData;

  var _useState = useState(toEdit),
      editable = _useState[0];

  var _Object$entries = Object.entries(editable),
      element = _Object$entries[0];

  var _useState2 = useState(true),
      isOpen = _useState2[0],
      setIsOpen = _useState2[1];

  return /*#__PURE__*/React.createElement("div", null, isOpen && /*#__PURE__*/React.createElement(Modal, {
    setModal: setModal,
    setIsOpen: setIsOpen,
    setEdited: setEdited,
    editableTitle: element[0],
    editableValue: element[1],
    staticData: staticData
  }));
};

export { EditorContainer };
//# sourceMappingURL=index.modern.js.map
